<?php
/**
 * OCDI support.
 *
 * @package insurance-hub
 */

/*Disable PT branding.*/
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

/**
 * OCDI files.
 *
 * @since 1.0.0
 *
 * @return array Files.
 */
function insurance_hub_import_files() {
    return array(
        array(
            'import_file_name'             =>  esc_html__( 'Theme Demo Content', 'insurance-hub' ),
            'local_import_file'            => trailingslashit( get_template_directory() ) . 'inc/demo-data/insurance-hub.xml',
            'local_import_widget_file'     => trailingslashit( get_template_directory() ) . 'inc/demo-data/insurance-hub.wie',
            'local_import_customizer_file' => trailingslashit( get_template_directory() ) . 'inc/demo-data/insurance-hub.dat',
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'insurance_hub_import_files' );

/**
 * OCDI after import.
 *
 * @since 1.0.0
 */

function insurance_hub_after_import_setup() {
    // Assign front page and posts page (blog page).
    $front_page_id = null;
    $blog_page_id  = null;

    $front_page = get_page_by_title( 'Home' );

    if ( $front_page ) {
        if ( is_array( $front_page ) ) {
            $first_page = array_shift( $front_page );
            $front_page_id = $first_page->ID;
        } else {
            $front_page_id = $front_page->ID;
        }
    }

    $blog_page = get_page_by_title( 'Blog' );

    if ( $blog_page ) {
        if ( is_array( $blog_page ) ) {
            $first_page = array_shift( $blog_page );
            $blog_page_id = $first_page->ID;
        } else {
            $blog_page_id = $blog_page->ID;
        }
    }
    

    if ( $front_page_id && $blog_page_id ) {
        update_option( 'show_on_front', 'page' );
        update_option( 'page_on_front', $front_page_id );
        update_option( 'page_for_posts', $blog_page_id );
    }

    // Assign navigation menu locations.
    $menu_location_details = array(
        'primary'      => 'main-menu',
        'social-menu'  => 'social-menus',
    );

    if ( ! empty( $menu_location_details ) ) {
        $navigation_settings = array();
        $current_navigation_menus = wp_get_nav_menus();

        if ( ! empty( $current_navigation_menus ) && ! is_wp_error( $current_navigation_menus ) ) {
            foreach ( $current_navigation_menus as $menu ) {
                foreach ( $menu_location_details as $location => $menu_slug ) {
                    if ( $menu->slug === $menu_slug ) {
                        $navigation_settings[ $location ] = $menu->term_id;
                    }
                }
            }
        }
       
        set_theme_mod('insurance_hub_slider_cat_id',16);
        set_theme_mod('insurance_hub_our_team_cat_id',18);
        set_theme_mod('insurance_hub_testimonials_cat_id',17);
        set_theme_mod('insurance_hub_blog_categories_id',19);
        set_theme_mod('insurance_hub_satisfied_clients_section_cat_id',20);

        set_theme_mod( 'nav_menu_locations',$navigation_settings );
        
       }
    }
add_action( 'pt-ocdi/after_import', 'insurance_hub_after_import_setup' );